import { Keystore } from "./keystore";
import { Account, ChangedLesson, Grade, Lesson, LuckyNumber, Student, Exam } from "./models";
export { AccountTools } from "./utils";
export * from "./keystore";
export * from "./models";
export declare const registerAccount: (keystore: Keystore, token: string, symbol: string, pin: string) => Promise<Account>;
export declare class VulcanHebe {
    private readonly account;
    private readonly api;
    private student?;
    constructor(keystore: Keystore, account: Account);
    getStudents(): Promise<Student[]>;
    selectStudent(studentToSet?: Student): Promise<void>;
    getLessons(dateFrom?: Date, dateTo?: Date): Promise<Lesson[]>;
    getChangedLessons(dateFrom?: Date, dateTo?: Date): Promise<ChangedLesson[]>;
    getLuckyNumber(): Promise<LuckyNumber>;
    private getPeriodById;
    getGrades(lastSync: Date): Promise<Grade[]>;
    getMessageBoxes(): Promise<any[]>;
    getMessages(messageBox: string): Promise<any[]>;
    getHomework(): Promise<any[]>;
    getAttendance(from: Date, to: Date): Promise<any[]>;
    getExams(lastSync?: Date): Promise<Exam[]>;
}
