export declare class Keystore {
    certificate: string | undefined;
    fingerprint: string | undefined;
    privateKey: string | undefined;
    firebaseToken: string | undefined;
    deviceModel: string | undefined;
    init(deviceModel?: string, firebaseToken?: string): Promise<void>;
    /**
     * @deprecated since version 3.0
     */
    load(certificate: string, fingerprint: string, privateKey: string, firebaseToken: string, deviceModel: string): void;
    loadFromObject({ certificate, fingerprint, privateKey, firebaseToken, deviceModel, }: {
        certificate: string;
        fingerprint: string;
        privateKey: string;
        firebaseToken: string;
        deviceModel: string;
    }): void;
    loadFromJsonString(jsonString: string): void;
    /**
     * @deprecated since version 3.2 - use `loadFromJsonString()` instead
     */
    loadFromJsonFile(path: string): Promise<void>;
    dumpToObject(): {
        certificate: string | undefined;
        fingerprint: string | undefined;
        privateKey: string | undefined;
        firebaseToken: string | undefined;
        deviceModel: string | undefined;
    };
    dumpToJsonString(): string;
    /**
     * @deprecated since version 3.2 - use `dumpToJsonString()` instead
     */
    dumpToJsonFile(path: string): Promise<void>;
    /**
     * @deprecated since version 3.0 - use `dumpToObject()` instead
     */
    dump(): {
        certificate: string | undefined;
        fingerprint: string | undefined;
        privateKey: string | undefined;
        firebaseToken: string | undefined;
        deviceModel: string | undefined;
    };
}
