import { Account } from "./models";
export declare const now: () => number;
export declare const uuid: (seed?: string) => string;
export declare const getComponents: () => Promise<any>;
export declare const getFirebaseToken: () => Promise<any>;
export declare function getBaseUrl(token: string): Promise<any>;
export declare const APP_NAME = "DzienniczekPlus 2.0";
export declare const APP_VERSION = "1.4.2";
export declare const APP_OS = "Android";
export declare const APP_USER_AGENT = "Dart/2.10 (dart:io)";
export declare const defaultDeviceModel: () => string;
export declare const millis: () => number;
export declare const generateKeyPair: () => Promise<{
    certificate: string;
    fingerprint: string;
    privateKey: string;
}>;
export declare const nowIso: () => string;
export declare class AccountTools {
    static loadFromObject(account: {
        loginId: number;
        userLogin: string;
        userName: string;
        restUrl: string;
    }): Account;
    static loadFromJsonString(jsonString: string): Account;
    /**
     * @deprecated since version 3.2
     */
    static loadFromJsonFile(path: string): Promise<void>;
    static dumpToObject(account: Account): {
        loginId: number;
        userLogin: string;
        userName: string;
        restUrl: string;
    };
    static dumpToJsonString(account: Account): string;
    /**
     * @deprecated since version 3.2
     */
    static dumpToJsonFile(account: Account, path: string): Promise<void>;
}
